import livereload from 'livereload';
export declare type Options = {
    port?: number;
    scanPorts?: boolean;
    watchDirs?: string[];
};
export declare type LiveReloadServer = ReturnType<typeof livereload.createServer>;
export declare const liveReloadTemplate = "\n  document.write('<script src=\"http://' + (location.host || 'localhost').split(':')[0] +\n  ':$(port)/livereload.js?snipver=1\"></' + 'script>')";
export declare function injectLiveReloadScript(html: string, liveReloadServer: LiveReloadServer): string;
export declare function createLiveReloadServer({ port, scanPorts, watchDirs }: Options): Promise<LiveReloadServer>;
